#
# spec file for package python-visitor
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-visitor
Version:        0.1.3
Release:        1.23
Summary:        A tiny pythonic visitor implementation
License:        MIT
Group:          Development/Languages/Python
Url:            http://github.com/mbr/visitor
Source:         https://github.com/mbr/visitor/archive/%{version}.tar.gz
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch

%python_subpackages

%description
A tiny library to facilitate visitor implementation in Python
(which are slightly peculiar due to dynamic typing).

%prep
%setup -q -n visitor-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} py.test-%{$python_bin_suffix} -v

%files %{python_files}
%license LICENSE
%{python_sitelib}/*

%changelog
* Thu Oct 18 2018 Tomáš Chvátal <tchvatal@suse.com>
- Initial commit, needed by Flask-Bootstrap
